/*
 * Main.fx
 */

package fadetdemo;

import javafx.animation.transition.FadeTransition;

import javafx.scene.Scene;

import javafx.scene.image.Image;
import javafx.scene.image.ImageView;

import javafx.scene.input.MouseEvent;

import javafx.stage.Stage;

def image = Image
{
    url: "{__DIR__}res/flowers.jpg"
}

Stage
{
    title: "FadeTransition Demo"

    scene: Scene
    {
        width: image.width
        height: image.height

        var iv: ImageView
        content: iv = ImageView
        {
            image: image

            def fadeT = FadeTransition
            {
                node: bind iv
                duration: 2s
                fromValue: 1.0
                toValue: 0.0
                repeatCount: 6
                autoReverse: true
            }

            onMouseClicked: function (me: MouseEvent): Void
            {
                fadeT.play ()
            }
        }
    }
}